org.deidentifier.arx.algorithm

## Class FLASHAlgorithmImpl

- java.lang.Object
- - org.deidentifier.arx.algorithm.AbstractAlgorithm
  - - org.deidentifier.arx.algorithm.FLASHAlgorithmImpl

    public class FLASHAlgorithmImpl
    extends AbstractAlgorithm

This class implements the FLASH algorithm.

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`FLASHAlgorithmImpl(SolutionSpace<java.lang.Long> solutionSpace, TransformationChecker checker, FLASHStrategy strategy, FLASHConfiguration config)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `traverse()` Implement this method in order to provide a new algorithm.

### Methods inherited from class org.deidentifier.arx.algorithm.AbstractAlgorithm

`getGlobalOptimum, setListener`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FLASHAlgorithmImpl

    public FLASHAlgorithmImpl(SolutionSpace<java.lang.Long> solutionSpace,
                              TransformationChecker checker,
                              FLASHStrategy strategy,
                              FLASHConfiguration config)

Creates a new instance.

Parameters:
  `solutionSpace` -
  `checker` -
  `strategy` -
  `config` -

### Method Detail

#### traverse

    public boolean traverse()

Description copied from class: `AbstractAlgorithm`
Implement this method in order to provide a new algorithm.

Specified by:
  `traverse` in class `AbstractAlgorithm`
Returns:
  Whether the result is optimal